---@meta posix.grp

---@class posix_group*
---@field gr_name string
---@field gr_passwd string
---@field gr_gid integer
---@field gr_mem string[]

---@class posix_grp*
---@field version string
---@type posix_grp*
local M = {}

function M.endgrent() end

---@return posix_group*? group
function M.getgrent() end

---@param gid integer
---@return posix_group*? group
function M.getgrgid(gid) end

---@param name string
---@return posix_group*? group
function M.getgrnam(name) end

function M.setgrent() end

return M
